public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Nicolas Bock" <nicolasbock@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/p4est/
Date: Fri, 26 Jul 2013 16:14:01 +0000 (UTC)	[thread overview]
Message-ID: <1374788579.4b110f4b651290f01d9435c2aceda605fabd6ae2.nicolasbock@gentoo> (raw)

commit:     4b110f4b651290f01d9435c2aceda605fabd6ae2
Author:     Matthias Maier <tamiko <AT> kyomu <DOT> 43-1 <DOT> org>
AuthorDate: Thu Jul 25 21:42:59 2013 +0000
Commit:     Nicolas Bock <nicolasbock <AT> gmail <DOT> com>
CommitDate: Thu Jul 25 21:42:59 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=4b110f4b

Improve the ebuild a bit more

 - Get RDEPEND/DEPEND right
 - omit superfluous "${S}"

---
 sci-libs/p4est/p4est-0.3.4.1.ebuild | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/sci-libs/p4est/p4est-0.3.4.1.ebuild b/sci-libs/p4est/p4est-0.3.4.1.ebuild
index 0abf319..8e32b0e 100644
--- a/sci-libs/p4est/p4est-0.3.4.1.ebuild
+++ b/sci-libs/p4est/p4est-0.3.4.1.ebuild
@@ -17,7 +17,7 @@ SLOT="0"
 
 IUSE="debug doc examples mpi static-libs"
 
-DEPEND="
+RDEPEND="
 	dev-lang/lua
 	sys-apps/util-linux
 	sys-libs/zlib
@@ -25,8 +25,8 @@ DEPEND="
 	virtual/lapack
 	mpi? ( virtual/mpi )"
 
-RDEPEND="
-    ${DEPEND}
+DEPEND="
+    ${RDEPEND}
     virtual/pkgconfig"
 
 DOCS=(AUTHORS ChangeLog NEWS README)
@@ -45,15 +45,15 @@ src_configure() {
 src_install() {
 	autotools-utils_src_install
 
-	use doc && dodoc -r "${S}"/doc/*
+	use doc && dodoc -r doc/*
 
 	if use examples
 	then
 		insinto /usr/share/${PN}/examples
-		doins -r "${S}"/example/*
+		doins -r example/*
 	else
 		# Remove the compiled example binaries in case of -examples:
-		rm -r "${ED}"/usr/bin
+		rm -r "${ED}"/usr/bin || die "rm failed"
 	fi
 
 	# *sigh* The build system apparently ignores --disable-static


             reply	other threads:[~2013-07-26 16:14 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-07-26 16:14 Nicolas Bock [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-09-02 22:08 [gentoo-commits] proj/sci:master commit in: sci-libs/p4est/ Christoph Junghans
2016-09-02 22:08 Christoph Junghans
2016-09-02 22:08 Christoph Junghans
2016-09-02 22:08 Christoph Junghans
2015-06-06 10:23 Justin Lecher
2015-06-06 10:23 Justin Lecher
2014-10-16 15:50 Christoph Junghans
2014-10-16 15:50 Christoph Junghans
2014-07-24 21:51 Jens-Malte Gottfried
2013-10-18 16:19 Christoph Junghans
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1374788579.4b110f4b651290f01d9435c2aceda605fabd6ae2.nicolasbock@gentoo \
    --to=nicolasbock@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox